From 106d0af41363b49e25d1756adb09b8ace6100145 Mon Sep 17 00:00:00 2001
From: Steve Singer <steve@ssinger.info>
Date: Sun, 18 Dec 2016 12:57:04 -0500
Subject: [PATCH 4/4] Fix typo for column name when dumping subscriptions with
 pg_dump

---
 src/bin/pg_dump/pg_dump.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 4968c27..536366a 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -3605,7 +3605,7 @@ getSubscriptions(Archive *fout)
 	/* Get the subscriptions in current database. */
 	appendPQExpBuffer(query,
 					  "SELECT s.tableoid, s.oid, s.subname,"
-					  "(%s p.subowner) AS rolname, s.subenabled, "
+					  "(%s s.subowner) AS rolname, s.subenabled, "
 					  " s.subconninfo, s.subslotname, s.subpublications "
 					  "FROM pg_catalog.pg_subscription s "
 					  "WHERE s.subdbid = (SELECT oid FROM pg_catalog.pg_database"
-- 
2.1.4

